<?php
	include_once("db.php");

	//make result object
	$result = array();
	$result['ok'] = false;

	//get post data
	$postdata = file_get_contents("php://input");
	$post = json_decode($postdata, true);

	// return $http.post('server/deletemeasurement.php', {tier:tier, poule:poule, idchampionship:idchampionship, idteam:idteam});

	$measurementdelete = pg_prepare($dbconn, "measurementdelete", "delete from measurement where idmeasurement = $1");
	$measurementdelete = pg_execute($dbconn, "measurementdelete", array($post['idmeasurement']));

	if($measurementdelete===FALSE) {
		$result['ok'] = false;
		$result['error'] = pg_last_error($dbconn);
	} else {
		//return data
		$result['ok'] = true;
		$result['debug'] = 'deleted measurement '.$post['idmeasurement'];
	}

	//print message
	$resultjson =  json_encode($result);

	echo $resultjson;
?>
